/*
 * Copyright 2016, Freescale Semiconductor, Inc.
 * Copyright 2016-2023 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
!!GlobalInfo
product: Pins v15.0
processor: MIMXRT1189xxxxx
package_id: MIMXRT1189CVM8B
mcu_data: ksdk2_0
processor_version: 0.15.10
pin_labels:
- {pin_num: N12, pin_signal: GPIO_AD_00, label: PWM_AT, identifier: PWM_AT}
- {pin_num: R14, pin_signal: GPIO_AD_01, label: PWM_AB, identifier: PWM_AB}
- {pin_num: R13, pin_signal: GPIO_AD_02, label: PWM_BT, identifier: PWM_BT}
- {pin_num: R15, pin_signal: GPIO_AD_03, label: PWM_BB, identifier: PWM_BB}
- {pin_num: P13, pin_signal: GPIO_AD_05, label: PWM_CT, identifier: PWM_CT}
- {pin_num: P15, pin_signal: GPIO_AD_04, label: PWM_CB, identifier: PWM_CB}
- {pin_num: N13, pin_signal: GPIO_AD_06, label: CUR_A, identifier: CUR_A;CUR_A1}
- {pin_num: K15, pin_signal: GPIO_AD_21, label: CUR_A, identifier: CUR_A;CUR_A2}
- {pin_num: T17, pin_signal: GPIO_AD_07, label: CUR_B, identifier: CUR_B}
- {pin_num: K12, pin_signal: GPIO_AD_22, label: CUR_C, identifier: CUR_C}
- {pin_num: R16, pin_signal: GPIO_AD_09, label: VOLT_DCB, identifier: VOLT_DCB}
- {pin_num: T14, pin_signal: GPIO_AD_08, label: TP0, identifier: TP0}
- {pin_num: N15, pin_signal: GPIO_AD_13, label: TP1, identifier: TP1}
- {pin_num: P17, pin_signal: GPIO_AD_12, label: TP2, identifier: TP2}
- {pin_num: B4, pin_signal: GPIO_AON_04, label: SW8, identifier: SW8}
- {pin_num: M16, pin_signal: GPIO_AD_27, label: USER_LED1, identifier: USER_LED1}
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */

#include "fsl_common.h"
#include "fsl_xbar.h"
#include "fsl_iomuxc.h"
#include "fsl_rgpio.h"
#include "pin_mux.h"

/* FUNCTION ************************************************************************************************************
 * 
 * Function Name : BOARD_InitBootPins
 * Description   : Calls initialization functions.
 * 
 * END ****************************************************************************************************************/
void BOARD_InitBootPins(void) {
    BOARD_InitPins();
    BOARD_InitADC();
    BOARD_InitPWM();
    BOARD_InitLPUART();
    BOARD_InitENC();
    BOARD_InitCMP();
}

/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
BOARD_InitPins:
- options: {callFromInitBoot: 'true', coreID: cm7, enableClock: 'true'}
- pin_list:
  - {pin_num: N15, peripheral: RGPIO4, signal: 'gpio_io, 13', pin_signal: GPIO_AD_13, direction: OUTPUT}
  - {pin_num: P17, peripheral: RGPIO4, signal: 'gpio_io, 12', pin_signal: GPIO_AD_12, direction: OUTPUT, pull_up_down_config: Pull_Down}
  - {pin_num: M16, peripheral: RGPIO4, signal: 'gpio_io, 27', pin_signal: GPIO_AD_27, direction: OUTPUT}
  - {pin_num: T14, peripheral: RGPIO4, signal: 'gpio_io, 08', pin_signal: GPIO_AD_08, direction: OUTPUT}
  - {pin_num: B4, peripheral: RGPIO1, signal: 'gpio_io, 04', pin_signal: GPIO_AON_04, direction: INPUT, gpio_interrupt_output: no_init, pull_up_down_config: Pull_Up}
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */

/* FUNCTION ************************************************************************************************************
 *
 * Function Name : BOARD_InitPins, assigned for the Cortex-M7F core.
 * Description   : Configures pin routing and optionally pin electrical features.
 *
 * END ****************************************************************************************************************/
void BOARD_InitPins(void) {
  CLOCK_EnableClock(kCLOCK_Iomuxc1);          /* Turn on LPCG: LPCG is ON. */
  CLOCK_EnableClock(kCLOCK_Iomuxc2);          /* Turn on LPCG: LPCG is ON. */

  /* GPIO configuration of SW8 on IOMUXC_AON_SW_MUX_CTL_PAD_GPIO_AON_04 (pin B4) */
  rgpio_pin_config_t SW8_config = {
      .pinDirection = kRGPIO_DigitalInput,
      .outputLogic = 0U,
  };
  /* Initialize GPIO functionality on IOMUXC_AON_SW_MUX_CTL_PAD_GPIO_AON_04 (pin B4) */
  RGPIO_PinInit(RGPIO1, 4U, &SW8_config);
  /* Configures GPIO pin interrupt/DMA request on IOMUXC_AON_SW_MUX_CTL_PAD_GPIO_AON_04 (pin B4) */
  RGPIO_SetPinInterruptConfig(RGPIO1, 4U, kRGPIO_InterruptOutput0, kRGPIO_InterruptOrDMADisabled);

  /* GPIO configuration of TP0 on GPIO_AD_08 (pin T14) */
  rgpio_pin_config_t TP0_config = {
      .pinDirection = kRGPIO_DigitalOutput,
      .outputLogic = 0U,
  };
  /* Initialize GPIO functionality on GPIO_AD_08 (pin T14) */
  RGPIO_PinInit(RGPIO4, 8U, &TP0_config);

  /* GPIO configuration of TP2 on GPIO_AD_12 (pin P17) */
  rgpio_pin_config_t TP2_config = {
      .pinDirection = kRGPIO_DigitalOutput,
      .outputLogic = 0U,
  };
  /* Initialize GPIO functionality on GPIO_AD_12 (pin P17) */
  RGPIO_PinInit(RGPIO4, 12U, &TP2_config);

  /* GPIO configuration of TP1 on GPIO_AD_13 (pin N15) */
  rgpio_pin_config_t TP1_config = {
      .pinDirection = kRGPIO_DigitalOutput,
      .outputLogic = 0U,
  };
  /* Initialize GPIO functionality on GPIO_AD_13 (pin N15) */
  RGPIO_PinInit(RGPIO4, 13U, &TP1_config);

  /* GPIO configuration of USER_LED1 on GPIO_AD_27 (pin M16) */
  rgpio_pin_config_t USER_LED1_config = {
      .pinDirection = kRGPIO_DigitalOutput,
      .outputLogic = 0U,
  };
  /* Initialize GPIO functionality on GPIO_AD_27 (pin M16) */
  RGPIO_PinInit(RGPIO4, 27U, &USER_LED1_config);

  IOMUXC_SetPinMux(
      IOMUXC_GPIO_AD_08_GPIO4_IO08,           /* GPIO_AD_08 is configured as GPIO4_IO08 */
      0U);                                    /* Software Input On Field: Input Path is determined by functionality */
  IOMUXC_SetPinMux(
      IOMUXC_GPIO_AD_12_GPIO4_IO12,           /* GPIO_AD_12 is configured as GPIO4_IO12 */
      0U);                                    /* Software Input On Field: Input Path is determined by functionality */
  IOMUXC_SetPinMux(
      IOMUXC_GPIO_AD_13_GPIO4_IO13,           /* GPIO_AD_13 is configured as GPIO4_IO13 */
      0U);                                    /* Software Input On Field: Input Path is determined by functionality */
  IOMUXC_SetPinMux(
      IOMUXC_GPIO_AD_27_GPIO4_IO27,           /* GPIO_AD_27 is configured as GPIO4_IO27 */
      0U);                                    /* Software Input On Field: Input Path is determined by functionality */
  IOMUXC_SetPinMux(
      IOMUXC_GPIO_AON_04_GPIO1_IO04,          /* GPIO_AON_04 is configured as GPIO1_IO04 */
      0U);                                    /* Software Input On Field: Input Path is determined by functionality */
  IOMUXC_SetPinConfig(
      IOMUXC_GPIO_AD_12_GPIO4_IO12,           /* GPIO_AD_12 PAD functional properties : */
      0x06U);                                 /* Slew Rate Field: Fast Slew Rate
                                                 Drive Strength Field: high driver
                                                 Pull / Keep Select Field: Pull Enable
                                                 Pull Up / Down Config. Field: Weak pull down
                                                 Open Drain Field: Disabled
                                                 Force ibe off Field: Disabled */
  IOMUXC_SetPinConfig(
      IOMUXC_GPIO_AON_04_GPIO1_IO04,          /* GPIO_AON_04 PAD functional properties : */
      0x0EU);                                 /* Slew Rate Field: Fast Slew Rate
                                                 Drive Strength Field: high driver
                                                 Pull / Keep Select Field: Pull Enable
                                                 Pull Up / Down Config. Field: Weak pull up
                                                 Open Drain Field: Disabled */
}


/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
BOARD_InitADC:
- options: {callFromInitBoot: 'true', coreID: cm7, enableClock: 'true'}
- pin_list:
  - {pin_num: N13, peripheral: ADC1, signal: 'A, 1_5', pin_signal: GPIO_AD_06, identifier: CUR_A1, pull_up_down_config: no_init, pull_keeper_select: Keeper}
  - {pin_num: K15, peripheral: ADC2, signal: 'B, 2_1', pin_signal: GPIO_AD_21, identifier: CUR_A2, pull_up_down_config: no_init, pull_keeper_select: Keeper}
  - {pin_num: T17, peripheral: ADC1, signal: 'B, 1_5', pin_signal: GPIO_AD_07, pull_up_down_config: no_init, pull_keeper_select: Keeper}
  - {pin_num: K12, peripheral: ADC2, signal: 'A, 2_2', pin_signal: GPIO_AD_22, pull_up_down_config: no_init, pull_keeper_select: Keeper}
  - {pin_num: R16, peripheral: ADC1, signal: 'B, 1_4', pin_signal: GPIO_AD_09, pull_up_down_config: no_init, pull_keeper_select: Keeper}
  - {peripheral: ADC1, signal: 'HW_TRIG, 0', pin_signal: FLEXPWM1_PWM0_OUT_TRIG0}
  - {peripheral: ADC2, signal: 'HW_TRIG, 4', pin_signal: FLEXPWM1_PWM0_OUT_TRIG0}
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */

/* FUNCTION ************************************************************************************************************
 *
 * Function Name : BOARD_InitADC, assigned for the Cortex-M7F core.
 * Description   : Configures pin routing and optionally pin electrical features.
 *
 * END ****************************************************************************************************************/
void BOARD_InitADC(void) {
  CLOCK_EnableClock(kCLOCK_Iomuxc1);          /* Turn on LPCG: LPCG is ON. */
  CLOCK_EnableClock(kCLOCK_Xbar1);            /* Turn on LPCG: LPCG is ON. */

  IOMUXC_SetPinMux(
      IOMUXC_GPIO_AD_06_GPIO4_IO06,           /* GPIO_AD_06 is configured as GPIO4_IO06 */
      0U);                                    /* Software Input On Field: Input Path is determined by functionality */
  IOMUXC_SetPinMux(
      IOMUXC_GPIO_AD_07_GPIO4_IO07,           /* GPIO_AD_07 is configured as GPIO4_IO07 */
      0U);                                    /* Software Input On Field: Input Path is determined by functionality */
  IOMUXC_SetPinMux(
      IOMUXC_GPIO_AD_09_GPIO4_IO09,           /* GPIO_AD_09 is configured as GPIO4_IO09 */
      0U);                                    /* Software Input On Field: Input Path is determined by functionality */
  IOMUXC_SetPinMux(
      IOMUXC_GPIO_AD_21_GPIO4_IO21,           /* GPIO_AD_21 is configured as GPIO4_IO21 */
      0U);                                    /* Software Input On Field: Input Path is determined by functionality */
  IOMUXC_SetPinMux(
      IOMUXC_GPIO_AD_22_GPIO4_IO22,           /* GPIO_AD_22 is configured as GPIO4_IO22 */
      0U);                                    /* Software Input On Field: Input Path is determined by functionality */
  XBAR_SetSignalsConnection(kXBAR1_InputFlexpwm1Pwm0OutTrig0, kXBAR1_OutputAdc12HwTrig0); /* FLEXPWM1_PWM0_OUT_TRIG0 output assigned to XBAR1_IN74 input is connected to XBAR1_OUT140 output assigned to ADC1_2_HW_TRIG0 */
  XBAR_SetSignalsConnection(kXBAR1_InputFlexpwm1Pwm0OutTrig0, kXBAR1_OutputAdc12HwTrig4); /* FLEXPWM1_PWM0_OUT_TRIG0 output assigned to XBAR1_IN74 input is connected to XBAR1_OUT144 output assigned to ADC1_2_HW_TRIG4 */
  IOMUXC_SetPinConfig(
      IOMUXC_GPIO_AD_06_GPIO4_IO06,           /* GPIO_AD_06 PAD functional properties : */
      0x02U);                                 /* Slew Rate Field: Fast Slew Rate
                                                 Drive Strength Field: high driver
                                                 Pull / Keep Select Field: Pull Disable, Highz
                                                 Pull Up / Down Config. Field: Weak pull down
                                                 Open Drain Field: Disabled
                                                 Force ibe off Field: Disabled */
  IOMUXC_SetPinConfig(
      IOMUXC_GPIO_AD_07_GPIO4_IO07,           /* GPIO_AD_07 PAD functional properties : */
      0x02U);                                 /* Slew Rate Field: Fast Slew Rate
                                                 Drive Strength Field: high driver
                                                 Pull / Keep Select Field: Pull Disable, Highz
                                                 Pull Up / Down Config. Field: Weak pull down
                                                 Open Drain Field: Disabled
                                                 Force ibe off Field: Disabled */
  IOMUXC_SetPinConfig(
      IOMUXC_GPIO_AD_09_GPIO4_IO09,           /* GPIO_AD_09 PAD functional properties : */
      0x02U);                                 /* Slew Rate Field: Fast Slew Rate
                                                 Drive Strength Field: high driver
                                                 Pull / Keep Select Field: Pull Disable, Highz
                                                 Pull Up / Down Config. Field: Weak pull down
                                                 Open Drain Field: Disabled
                                                 Force ibe off Field: Disabled */
  IOMUXC_SetPinConfig(
      IOMUXC_GPIO_AD_21_GPIO4_IO21,           /* GPIO_AD_21 PAD functional properties : */
      0x02U);                                 /* Slew Rate Field: Fast Slew Rate
                                                 Drive Strength Field: high driver
                                                 Pull / Keep Select Field: Pull Disable, Highz
                                                 Pull Up / Down Config. Field: Weak pull down
                                                 Open Drain Field: Disabled
                                                 Force ibe off Field: Disabled */
  IOMUXC_SetPinConfig(
      IOMUXC_GPIO_AD_22_GPIO4_IO22,           /* GPIO_AD_22 PAD functional properties : */
      0x02U);                                 /* Slew Rate Field: Fast Slew Rate
                                                 Drive Strength Field: high driver
                                                 Pull / Keep Select Field: Pull Disable, Highz
                                                 Pull Up / Down Config. Field: Weak pull down
                                                 Open Drain Field: Disabled
                                                 Force Input Buffer Enable (IBE) off Field: Disabled */
}


/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
BOARD_InitPWM:
- options: {callFromInitBoot: 'true', coreID: cm7, enableClock: 'true'}
- pin_list:
  - {pin_num: N12, peripheral: PWM1, signal: 'A, 0', pin_signal: GPIO_AD_00}
  - {pin_num: R14, peripheral: PWM1, signal: 'B, 0', pin_signal: GPIO_AD_01}
  - {pin_num: R13, peripheral: PWM1, signal: 'A, 1', pin_signal: GPIO_AD_02}
  - {pin_num: R15, peripheral: PWM1, signal: 'B, 1', pin_signal: GPIO_AD_03}
  - {pin_num: P13, peripheral: PWM1, signal: 'A, 2', pin_signal: GPIO_AD_05}
  - {pin_num: P15, peripheral: PWM1, signal: 'B, 2', pin_signal: GPIO_AD_04}
  - {peripheral: PWM1, signal: 'FAULT, 0', pin_signal: ACMP3_OUT}
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */

/* FUNCTION ************************************************************************************************************
 *
 * Function Name : BOARD_InitPWM, assigned for the Cortex-M7F core.
 * Description   : Configures pin routing and optionally pin electrical features.
 *
 * END ****************************************************************************************************************/
void BOARD_InitPWM(void) {
  CLOCK_EnableClock(kCLOCK_Iomuxc1);          /* Turn on LPCG: LPCG is ON. */
  CLOCK_EnableClock(kCLOCK_Xbar1);            /* Turn on LPCG: LPCG is ON. */

  IOMUXC_SetPinMux(
      IOMUXC_GPIO_AD_00_FLEXPWM1_PWMA00,      /* GPIO_AD_00 is configured as FLEXPWM1_PWMA00 */
      0U);                                    /* Software Input On Field: Input Path is determined by functionality */
  IOMUXC_SetPinMux(
      IOMUXC_GPIO_AD_01_FLEXPWM1_PWMB00,      /* GPIO_AD_01 is configured as FLEXPWM1_PWMB00 */
      0U);                                    /* Software Input On Field: Input Path is determined by functionality */
  IOMUXC_SetPinMux(
      IOMUXC_GPIO_AD_02_FLEXPWM1_PWMA01,      /* GPIO_AD_02 is configured as FLEXPWM1_PWMA01 */
      0U);                                    /* Software Input On Field: Input Path is determined by functionality */
  IOMUXC_SetPinMux(
      IOMUXC_GPIO_AD_03_FLEXPWM1_PWMB01,      /* GPIO_AD_03 is configured as FLEXPWM1_PWMB01 */
      0U);                                    /* Software Input On Field: Input Path is determined by functionality */
  IOMUXC_SetPinMux(
      IOMUXC_GPIO_AD_04_FLEXPWM1_PWMB02,      /* GPIO_AD_04 is configured as FLEXPWM1_PWMB02 */
      0U);                                    /* Software Input On Field: Input Path is determined by functionality */
  IOMUXC_SetPinMux(
      IOMUXC_GPIO_AD_05_FLEXPWM1_PWMA02,      /* GPIO_AD_05 is configured as FLEXPWM1_PWMA02 */
      0U);                                    /* Software Input On Field: Input Path is determined by functionality */
  XBAR_SetSignalsConnection(kXBAR1_InputAcmp3Out, kXBAR1_OutputFlexpwm1Fault0); /* ACMP3_OUT output assigned to XBAR1_IN40 input is connected to XBAR1_OUT51 output assigned to FLEXPWM1_FAULT0 */
}


/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
BOARD_InitLPUART:
- options: {callFromInitBoot: 'true', coreID: cm7, enableClock: 'true'}
- pin_list:
  - {pin_num: A5, peripheral: LPUART1, signal: RXD, pin_signal: GPIO_AON_09, pull_keeper_select: Keeper}
  - {pin_num: B1, peripheral: LPUART1, signal: TXD, pin_signal: GPIO_AON_08, pull_keeper_select: Keeper}
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */

/* FUNCTION ************************************************************************************************************
 *
 * Function Name : BOARD_InitLPUART, assigned for the Cortex-M7F core.
 * Description   : Configures pin routing and optionally pin electrical features.
 *
 * END ****************************************************************************************************************/
void BOARD_InitLPUART(void) {
  CLOCK_EnableClock(kCLOCK_Iomuxc2);          /* Turn on LPCG: LPCG is ON. */

  IOMUXC_SetPinMux(
      IOMUXC_GPIO_AON_08_LPUART1_TX,          /* GPIO_AON_08 is configured as LPUART1_TX */
      0U);                                    /* Software Input On Field: Input Path is determined by functionality */
  IOMUXC_SetPinMux(
      IOMUXC_GPIO_AON_09_LPUART1_RX,          /* GPIO_AON_09 is configured as LPUART1_RX */
      0U);                                    /* Software Input On Field: Input Path is determined by functionality */
  IOMUXC_SetPinConfig(
      IOMUXC_GPIO_AON_08_LPUART1_TX,          /* GPIO_AON_08 PAD functional properties : */
      0x02U);                                 /* Slew Rate Field: Fast Slew Rate
                                                 Drive Strength Field: high driver
                                                 Pull / Keep Select Field: Pull Disable, Highz
                                                 Pull Up / Down Config. Field: Weak pull down
                                                 Open Drain Field: Disabled */
  IOMUXC_SetPinConfig(
      IOMUXC_GPIO_AON_09_LPUART1_RX,          /* GPIO_AON_09 PAD functional properties : */
      0x02U);                                 /* Slew Rate Field: Fast Slew Rate
                                                 Drive Strength Field: high driver
                                                 Pull / Keep Select Field: Pull Disable, Highz
                                                 Pull Up / Down Config. Field: Weak pull down
                                                 Open Drain Field: Disabled */
}


/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
BOARD_InitENC:
- options: {callFromInitBoot: 'true', coreID: cm7, enableClock: 'true'}
- pin_list:
  - {pin_num: J15, peripheral: XBAR1, signal: 'IN, 18', pin_signal: GPIO_AD_34}
  - {pin_num: J16, peripheral: XBAR1, signal: 'IN, 17', pin_signal: GPIO_AD_33}
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */

/* FUNCTION ************************************************************************************************************
 *
 * Function Name : BOARD_InitENC, assigned for the Cortex-M7F core.
 * Description   : Configures pin routing and optionally pin electrical features.
 *
 * END ****************************************************************************************************************/
void BOARD_InitENC(void) {
  CLOCK_EnableClock(kCLOCK_Iomuxc1);          /* Turn on LPCG: LPCG is ON. */

  BLK_CTRL_WAKEUPMIX->XBAR_DIR_CTRL1 = ((BLK_CTRL_WAKEUPMIX->XBAR_DIR_CTRL1 &
    (~(BLK_CTRL_WAKEUPMIX_XBAR_DIR_CTRL1_IOMUXC_XBAR_DIR_SEL_17_MASK | BLK_CTRL_WAKEUPMIX_XBAR_DIR_CTRL1_IOMUXC_XBAR_DIR_SEL_18_MASK))) /* Mask bits to zero which are setting */
      | BLK_CTRL_WAKEUPMIX_XBAR_DIR_CTRL1_IOMUXC_XBAR_DIR_SEL_17(0x00U) /* IOMUXC XBAR_INOUT17 function direction select: XBAR_INOUT as input */
      | BLK_CTRL_WAKEUPMIX_XBAR_DIR_CTRL1_IOMUXC_XBAR_DIR_SEL_18(0x00U) /* IOMUXC XBAR_INOUT18 function direction select: XBAR_INOUT as input */
    );
  IOMUXC_SetPinMux(
      IOMUXC_GPIO_AD_33_XBAR1_XBAR_INOUT17,   /* GPIO_AD_33 is configured as XBAR1_XBAR_INOUT17 */
      0U);                                    /* Software Input On Field: Input Path is determined by functionality */
  IOMUXC_SetPinMux(
      IOMUXC_GPIO_AD_34_XBAR1_XBAR_INOUT18,   /* GPIO_AD_34 is configured as XBAR1_XBAR_INOUT18 */
      0U);                                    /* Software Input On Field: Input Path is determined by functionality */
}


/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
BOARD_InitCMP:
- options: {callFromInitBoot: 'true', coreID: cm7, enableClock: 'true'}
- pin_list:
  - {pin_num: L17, peripheral: CMP3, signal: 'IN, 3', pin_signal: GPIO_AD_30}
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */

/* FUNCTION ************************************************************************************************************
 *
 * Function Name : BOARD_InitCMP, assigned for the Cortex-M7F core.
 * Description   : Configures pin routing and optionally pin electrical features.
 *
 * END ****************************************************************************************************************/
void BOARD_InitCMP(void) {
  CLOCK_EnableClock(kCLOCK_Iomuxc1);          /* Turn on LPCG: LPCG is ON. */

  IOMUXC_SetPinMux(
      IOMUXC_GPIO_AD_30_GPIO4_IO30,           /* GPIO_AD_30 is configured as GPIO4_IO30 */
      0U);                                    /* Software Input On Field: Input Path is determined by functionality */
}

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
